Guard Jerin:
You will see strange towers northwest of the town. Past the towers you will find the Sea of Spores. Fungus, mushrooms and other unusual plants grow there... You wouldn't catch me dead there.
It is said that humans and elves fought there long ago, and the elves made a huge mistake. Before dying of a mysterious disease, a traveler reported seeing a large turtle's shell and a giant statue of a goddess roaming thereabouts.
Return